Uploaded image for project: 'Struts 2'
  1. Struts 2
  2. WW-4127

different commons-io versions in struts2-core

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 2.3.15
    • Fix Version/s: 2.3.16
    • Component/s: Build Management
    • Labels:
      None
    • Environment:

      Maven

      Description

      Hi!

      the commons-io component is a dependency of both commons-fileupload-1.3 (commons-io-2.2) and struts2-core (commons-io 2.0.1) which is inherited from struts2-parent's pom.xml file.

      This may lead to subtle bugs since maven select by default the "highest in the tree" of dependencies (which in this case resolves to version 2.0.1).

      A workaround exists by adding the correct commons-io version in the dependencyManagement section of your project's pom.xml file:

      <dependencyManagement>
      <dependencies>
      <dependency>
      <groupId>commons-io</groupId>
      <artifactId>commons-io</artifactId>
      <version>2.2</version>
      </dependency>
      </dependencies>
      </dependencyManagement>

        Attachments

        1. enforcer-plugin.patch
          6 kB
          Gabriel Belingueres

          Activity

            People

            • Assignee:
              bphillips Bruce Allen Phillips
              Reporter:
              belingueres Gabriel Belingueres
            • Votes:
              0 Vote for this issue
              Watchers:
              5 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: